Name:           java_binfmt
Version:        1.0.3
Release:        %mkrel 2
Epoch:          0
Summary:        Java Binary Kernel Support for Linux
License:        GPL
Group:          Development/Java
URL:            http://developer.osdl.org/dev/robustmutexes/src/fusyn.hg/Documentation/java.txt
Source0:        %{name}-%{version}.tar.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
With this package, you can directly execute Java applications and
applets. The binfmt_misc kernel module must be loaded.

%prep
%setup -q

%build
%{__cc} -Wall %{optflags} -o javaclassname javaclassname.c

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -a javaclassname %{buildroot}%{_bindir}/javaclassname
%{__cp} -a javawrapper %{buildroot}%{_bindir}/javawrapper
%{__cp} -a jarwrapper %{buildroot}%{_bindir}/jarwrapper
%{__cp} -a jarwrapper %{buildroot}%{_bindir}/appletviewerwrapper
%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a java_binfmt.init %{buildroot}%{_initrddir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(0644,root,root,0755)
%doc java.txt
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %{_bindir}/jarwrapper
%attr(0755,root,root) %{_bindir}/javaclassname
%attr(0755,root,root) %{_bindir}/javawrapper
%attr(0755,root,root) %{_bindir}/appletviewerwrapper


%changelog
* Sat Dec 09 2006 David Walluck <walluck@mandriva.org> 1.0.3-2mdv2007.0
+ Revision: 93935
- use preferred appletviewer

* Fri Dec 08 2006 David Walluck <walluck@mandriva.org> 0:1.0.3-1mdv2007.1
+ Revision: 93843
- 1.0.3
- Import java_binfmt



* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 1.0.2-11mdv2007.0
- fix PreReq use

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-10mdk 
- better description (Adam Williamson <awilliamson@mandriva.com>)

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-9mdk 
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.2-8mdk 
- rebuild

* Sat Feb 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.2-7mdk
- more macros

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-6mdk
- prereq rpm-helper (really)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-5mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-4mdk
- rebuild
- new rpm macros

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-3mdk
- fixed initscript (Michael Locher <locher@iam.unibe.ch>)
- added jar support (Michael Locher <locher@iam.unibe.ch>)

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-2mdk
- mdk optimisations
- s/Copyright/License/
- service script

* Sat Mar 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-1mdk
- first Mandrake release
